org.modeshape.jboss.service

## Class ReferenceFactoryService<T>

- java.lang.Object
- - org.modeshape.jboss.service.ReferenceFactoryService<T>

- All Implemented Interfaces:
    org.jboss.msc.service.Service<ManagedReferenceFactory>, org.jboss.msc.value.Value<ManagedReferenceFactory>

      public class ReferenceFactoryService<T>
      extends Object
      implements org.jboss.msc.service.Service<ManagedReferenceFactory>

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceFactoryService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.msc.inject.Injector<T>` | `getInjector()`
    `ManagedReference` | `getReference()`
    `ManagedReferenceFactory` | `getValue()`
    `void` | `start(org.jboss.msc.service.StartContext startContext)`
    `void` | `stop(org.jboss.msc.service.StopContext stopContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceFactoryService

          public ReferenceFactoryService()

  - ### Method Detail

    - #### start

          public void start(org.jboss.msc.service.StartContext startContext)

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<ManagedReferenceFactory>`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext stopContext)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<ManagedReferenceFactory>`

    - #### getValue

          public ManagedReferenceFactory getValue()
                                           throws IllegalStateException,
                                                  IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<ManagedReferenceFactory>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### getReference

          public ManagedReference getReference()

    - #### getInjector

          public org.jboss.msc.inject.Injector<T> getInjector()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.